#!/usr/bin/env fish

function git-fake --description 'add file to repo without actually adding it (for nix flake needs)'
    git add --intent-to-add $argv
    git update-index --skip-worktree --assume-unchanged $argv
end
